var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconPlusComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-plus").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 24 24" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", d: "M11.694 3c-.229 0-.386.024-.552.113a.861.861 0 0 0-.355.355c-.09.167-.113.324-.113.552v6.653H4.02c-.228 0-.385.025-.552.114a.861.861 0 0 0-.355.355c-.089.166-.113.324-.113.552v.612c0 .229.024.386.113.552a.861.861 0 0 0 .355.355c.167.09.324.113.552.113h6.653v6.654c0 .228.025.385.114.552a.861.861 0 0 0 .355.355c.166.089.324.113.552.113h.612c.229 0 .386-.024.552-.113a.861.861 0 0 0 .355-.355c.09-.167.113-.324.113-.552v-6.654h6.654c.228 0 .385-.024.552-.113a.861.861 0 0 0 .355-.355c.089-.166.113-.324.113-.552v-.612c0-.229-.024-.386-.113-.552a.861.861 0 0 0-.355-.355c-.167-.09-.324-.113-.552-.113h-6.654V4.02c0-.228-.024-.385-.113-.552a.861.861 0 0 0-.355-.355c-.166-.089-.324-.113-.552-.113h-.612Z", clipRule: "evenodd" }));
}
var IconPlus = React.forwardRef(IconPlusComponent);
export default IconPlus;
